Bug 1385237 - Review Request: python-pythonz-bd - Manage python installations in your system
Summary: Review Request: python-pythonz-bd - Manage python installations in your system
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1302744
Blocks: 1385244
TreeView+ depends on / blocked
 
Reported: 2016-10-15 14:32 UTC by Mathieu Bridon
Modified: 2017-03-03 12:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-03 12:35:18 UTC
Type: ---
Embargoed:
karlthered: fedora-review+


Attachments (Terms of Use)

Description Mathieu Bridon 2016-10-15 14:32:36 UTC
Spec URL: https://bochecha.fedorapeople.org/packages/python-pythonz-bd.spec
SRPM URL: https://bochecha.fedorapeople.org/packages/python-pythonz-bd-1.11.2-1.fc24.src.rpm

Description:
pythonz is a program to automate the building and installation of Python in
the users $HOME. This is a fork of the original project, pythonbrew.

CPython, Stackless, PyPy and Jython are supported.

Fedora Account System Username: bochecha

Comment 2 hguemar 2017-01-31 15:02:18 UTC
I recommend removing /usr/lib/python3.6/site-packages/pythonz/patches/osx, it's not needed.
It also looks like that /usr/lib/python3.6/site-packages/pythonz/etc directories should be moved to /etc as it's mostly shell completion stuff. They're not installed.

Comment 3 Mathieu Bridon 2017-02-11 10:08:18 UTC
New upstream version.

I've remove the OS X patches as requested.

As for the /usr/lib/python3.6/site-packages/pythonz/etc stuff:

- one of the file is an example bashrc, which doesn't really have its place in /etc, except maybe in /etc/skel, but... no. :)

- one of the file is the equivalent of bashrc for the fish shell, which I also don't think should end up in /etc.

- the third one is a bash completion file, which I've installed into /usr/share/bash-completion/completions/ with this new package.

Spec URL: https://bochecha.fedorapeople.org/packages/python-pythonz-bd.spec
Spec URL: https://bochecha.fedorapeople.org/packages/python-pythonz-bd-1.11.4-1.fc25.src.rpm

Comment 4 Haïkel Guémar 2017-03-02 22:23:59 UTC
I hereby approve this package into Fedora Packages Collection, please submit request in PkgDB



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* MIT/X11 (BSD like)", "Unknown or generated". 25
     files have unknown license. Detailed output of licensecheck in
     /home/haikel/1385237-python-pythonz-bd/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/bash-completion
     (cmake-data, fedpkg, kmod, dnf, libmbim, subversion, gvfs-client,
     tracker, python3-pip, source-highlight, git-core, rpmdevtools,
     ModemManager, libqmi, bash-completion, darcs, bubblewrap, python-pip,
     mercurial, python-django-bash-completion, rpmlint, yum, flatpak,
     glib2), /usr/share/bash-completion/completions(firewalld, cmake-data,
     fedpkg, kmod, dnf, libmbim, subversion, gvfs-client, tracker,
     python3-pip, source-highlight, tig, git-core, rpmdevtools,
     ModemManager, libqmi, bash-completion, darcs, bubblewrap, python-pip,
     mercurial, python-django-bash-completion, libappstream-glib, rpmlint,
     yum, flatpak, glib2)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python3-pythonz-bd (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
     Note: Incorrect Requires : /usr/libexec/system-python
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#FileDeps
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pythonz-bd-1.11.4-1.fc26.noarch.rpm
          python-pythonz-bd-1.11.4-1.fc26.src.rpm
python3-pythonz-bd.noarch: W: unexpanded-macro %description -l C %{description}
python3-pythonz-bd.noarch: W: no-manual-page-for-binary pythonz
python3-pythonz-bd.noarch: W: no-manual-page-for-binary pythonz_install
python-pythonz-bd.src: W: spelling-error %description -l en_US pythonbrew -> python brew, python-brew, python
python-pythonz-bd.src: W: spelling-error %description -l en_US CPython -> C Python, Python, Pynchon
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-pythonz-bd.noarch: W: unexpanded-macro %description -l C %{description}
python3-pythonz-bd.noarch: W: no-manual-page-for-binary pythonz
python3-pythonz-bd.noarch: W: no-manual-page-for-binary pythonz_install
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python3-pythonz-bd (rpmlib, GLIBC filtered):
    /usr/libexec/system-python
    python(abi)
    python3-resumable-urlretrieve



Provides
--------
python3-pythonz-bd:
    python3-pythonz-bd
    python3.6dist(pythonz-bd)
    python3dist(pythonz-bd)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pythonz-bd/pythonz-bd-1.11.4.tar.gz :
  CHECKSUM(SHA256) this package     : 30fa48c5b542e1ebfca167f10699b149768dd18a90185d98b8a766636b6343b9
  CHECKSUM(SHA256) upstream package : 30fa48c5b542e1ebfca167f10699b149768dd18a90185d98b8a766636b6343b9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1385237 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-03-02 22:53:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pythonz-bd

Comment 6 Mathieu Bridon 2017-03-03 12:35:18 UTC
Thanks for the review Haikel, and thanks Jon for the pkgdb work.

The package is built in Rawhide, F26 and F25, closing.


Note You need to log in before you can comment on or make changes to this bug.